Search

Page 1 of 1 (3 items)
  • continued issues

    I finally installed the correct version of Avid onto my laptop, only to encounter more issues. I'm trying to import files from my harddrive onto the version of Avid I have. Whenever I do anything, this message appears: "File couldn't be loaded into source monitor." The files I have should be compatible with the version of Avid I downloaded
    Posted to Get Started Fast (Forum) by mlee3 on Fri, Jul 27 2018
  • installation troubles

    Trying to install Media Composer 8.9.4 (required for a class I'm taking) onto my laptop. It tells me to register at my.avid.com/mcfirst for a "free Media Composer | First enitlement." I go to download links. Only version that shows up is 2018.7.4. How can I install the specific version of Media Composer I want?
    Posted to Get Started Fast (Forum) by mlee3 on Fri, Jul 27 2018
  • trouble starting trail version of Avid Media Composer

    When I first tried to open the trail version of Avid Media Composer, I got a message about the Energy Saver (can't remember exactly what it was). I tried playing with that and it didn't work. Now I just keep getting this message: "Exception: std::exception, what::Failed to change priority" The message about the Energy Saver doesn't
    Posted to Get Started Fast (Forum) by mlee3 on Wed, Jul 25 2018
Page 1 of 1 (3 items)

© Copyright 2011 Avid Technology, Inc.  Terms of Use |  Privacy Policy |  Site Map |  Find a Reseller